// main.ts (login-service)
import { NestFactory } from '@nestjs/core';
import { LoginServiceModule } from './login-service.module';
import { ValidationPipe } from '@nestjs/common';

async function bootstrap() {
  const app = await NestFactory.create(LoginServiceModule);
  app.useGlobalPipes(new ValidationPipe()); //this will enable the validation DTO use - required for type checking!
  await app.listen(3001);
  console.log('✅ Login service is running on http://localhost:3001');
}
bootstrap();
